Ben
Burton
12 d'abril del 2003
kapptemplate
1

# `kapptemplate`

Crea un marc de treball per a desenvolupar una aplicació KDE

    kapptemplate --noinit --default --full-app --kpart-app --kpart-plugin --existing --help

## Descripció

`kapptemplate` és un script de l'interpret de comandaments que crea el marc de treball necessari per a desenvolupar diverses aplicacions del &kde;. Te cura del codi per a autoconf/automake i aporta un bon exemple per a que us feu una idea de l'aspecte del codi.

Aquesta utilitat forma part del joc per a desenvolupar programari del &kde;.

## Opcions

### Opcions generals

`--help`

  Mostra una complet resum de les opcions disponibles.

`--no-init`

  No executa `make` `-f` `Makefile.cvs`

`--default`

  Empra els valors per omissió en comptes dels indicats com a arguments.

### Tipus de marc de treball

`--full-app`

  Crea una aplicació KDE amb totes les característiques.

`--kpart-app`

  Crea una aplicació KPart amb totes les característiques.

`--kpart-plugin`

  Crea un marc de treball per a un connector Kpart.

`--existing`

  Converteix el codi font existent a un marc de treball de autoconf/automake per a KDE.

## Fitxers

`~/.kapptemplate`

  Emmagatzema els valors per omissió

## Veure també

`$PREFIX/share/doc/kapptemplate`

## Autors

`kapptemplate` ha estat escrit per en &Kurt.Granroth; &Kurt.Granroth.mail;

Aquesta pàgina de manual ha estat preparada per en Ben Burton bab@debian.org